/**
 * Theme Name:        Nexum Theme
 * Description:       Nexum Theme (Child of 2025)
 * Version:           1.0.1
 * Author:            Egret Digital
 * Author URI:        https://egret.digital/
 * Text Domain:       nexum-theme
 * Domain Path:       /assets/lang
 * Tested up to:      7.1
 * License:           GNU General Public License v2.0 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Template:          twentytwentyfive
 */

/* Unset underline on links */
a:not([class]) {
	text-decoration: none;
}

/* Button styles */
.wp-element-button {
    word-break: normal;
}

/* Button hover styles */
.wp-element-button:hover, 
.wp-block-button__link:hover {
    background-color: var(--wp--preset--color--luminous-vivid-amber);
}

/* Menu Styles */
nav {
    /* Highlight current menu item */
	.current-menu-item > a,
	a:hover,
	a:active {
		color: var(--wp--preset--color--luminous-vivid-amber) !important;
	}
	
	 /* Home link not needed on desktop */
	@media (min-width: 600px) {
	    .nav-home {
	        display: none !important;
	    }
	}

    /* Improve mobile menu styles */
    @media (max-width: 599px) {
	    .wp-block-navigation__responsive-container {
		background-color: #fffffff5 !important;
	    }
	    .wp-block-navigation__responsive-container-content {
		justify-content: center !important;
		align-items: center !important;

		ul {
		    justify-content: center !important;
		    align-items: center !important;
		}
		li {
		    font-size: var(--wp--preset--font-size--large) !important;
		}
	}
    }
}


/* Remove default margin above Footer */
footer {
    margin-block-start: 0;
}


/* Archive pages - core fix for loop images sometimes being wider than containers */
.archive .wp-block-post-featured-image {
	max-width: 100% !important;
	img {
		border-radius: 0 40px;
	}
}
/* Core fix for list items displayed as flex */
.archive .entry-content li {
	display: list-item;
}